Loading...
Searching...
No Matches
OBTorsionData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBTorsionData:
[legend]

## Public Member Functions

OBTorsionData & | operator= (const OBTorsionData &)
virtual OBGenericData * | Clone (OBBase *) const
void | Clear ()
std::vector< OBTorsion > | GetData () const
size_t | GetSize () const
void | SetData (OBTorsion &torsion)
bool | FillTorsionArray (std::vector< std::vector< unsigned int > > &torsions)
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const

## Protected Member Functions

| OBTorsionData ()
| OBTorsionData (const OBTorsionData &)

## Protected Attributes

std::vector< OBTorsion > | _torsions
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Friends

class | OBMol

## Detailed Description

Used to hold torsions as generic data for OBMol.

Filled by OBMol::FindTorsions()

## Constructor & Destructor Documentation

## OBTorsionData() [1/2]

OBTorsionData | ( |  | ) |

protected

Referenced by Clone(), OBTorsionData(), and operator=().

## OBTorsionData() [2/2]

OBTorsionData | ( | const OBTorsionData & | src | ) |

protected

## Member Function Documentation

## operator=()

OBTorsionData & operator= | ( | const OBTorsionData & | src | ) |

## Clone()

virtual OBGenericData * Clone | ( | OBBase * |  | ) | const

inline virtual

Todo
  Needs to be updated to rebase atom pointers (or use indexes)

Reimplemented from OBGenericData.

## Clear()

void Clear | ( |  | ) |

## GetData()

std::vector< OBTorsion > GetData | ( |  | ) | const

inline

Gets a vector of the OBTorsion objects

Returns
  the vector of torsions

## GetSize()

size_t GetSize | ( |  | ) | const

inline

Gets the number of torsion structs

Returns
  integer count of the number of torsions

## SetData()

void SetData | ( | OBTorsion & | torsion | ) |

Referenced by OBMol::FindTorsions().

## FillTorsionArray()

bool FillTorsionArray | ( | std::vector< std::vector< unsigned int > > & | torsions | ) |

Fills a vector with the indices of the atoms in torsions (ordered abcd).

Parameters

  torsions | reference to the vector of abcd atom sets

Returns
  boolean success

Referenced by OBMolTorsionIter::OBMolTorsionIter(), and OBMolTorsionIter::OBMolTorsionIter().

## SetAttribute()

void SetAttribute | ( | const std::string & | v | ) |

inline inherited

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), AliasData::Expand(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## SetOrigin()

void SetOrigin | ( | const DataOrigin | s | ) |

inline inherited

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## GetAttribute()

virtual const std::string & GetAttribute | ( |  | ) | const

inline virtual inherited

Returns
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

## GetDataType()

unsigned int GetDataType | ( |  | ) | const

inline inherited

Returns
  the data type for this object as defined in OBGenericDataType

## GetValue()

virtual const std::string & GetValue | ( |  | ) | const

inline virtual inherited

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

## GetOrigin()

virtual DataOrigin GetOrigin | ( |  | ) | const

inline virtual inherited

## Friends And Related Symbol Documentation

## OBMol

friend class OBMol

friend

Referenced by OBMol.

## Member Data Documentation

## _torsions

std::vector<OBTorsion> _torsions

protected

Referenced by Clear(), FillTorsionArray(), GetData(), GetSize(), OBTorsionData(), operator=(), and SetData().

## _attr

std::string _attr

protected inherited

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), GetAttribute(), GetValue(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), OBSymmetryData::OBSymmetryData(), and SetAttribute().

## _type

unsigned int _type

protected inherited

attribute type – declared for each subclass

Referenced by OBRotamerList::Clone(), GetDataType(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), and OBSymmetryData::OBSymmetryData().

## _source

DataOrigin _source

protected inherited

source of data for accounting

Referenced by GetOrigin(), OBGenericData(), OBSymmetryData::OBSymmetryData(), OBAngleData::operator=(), OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), and SetOrigin().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp